import apiRequest from '@/network/http/apiRequest'

/**
 * 获取列表
 * @param data
 * @returns
 */
export function getOcByList(data: any) {
  return apiRequest({
    url: '/oc',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取列表
 * @param data
 * @returns
 */
export function getOcByPage(data: any) {
  return apiRequest({
    url: '/oc/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取管理员
 * @param ocId
 * @returns
 */
export function getOcAdmin(ocId: number) {
  return apiRequest({
    url: `/oc/getAdmin/${ocId}`,
    method: 'GET',
  })
}

/**
 * 新增管理员
 * @param data
 * @returns
 */
export function createOcAdmin(data: any) {
  return apiRequest({
    url: '/oc/addAdmin',
    method: 'POST',
    data,
  })
}

/**
 * 更新管理员
 * @param data
 * @returns
 */
export function updateOcAdmin(data: any) {
  return apiRequest({
    url: '/oc/updateAdmin',
    method: 'PUT',
    data,
  })
}

/**
 * 重置管理员密码
 * @returns
 * @param ocId
 * @param adminId
 */
export function resetAdminPwd(ocId: number, adminId: number) {
  return apiRequest({
    url: `/oc/resetAdminPwd/${ocId}/${adminId}`,
    method: 'PUT',
  })
}

/**
 * 根据ID获取单位信息
 * @returns
 * @param ocId
 */
export function getOcById(ocId: number) {
  return apiRequest({
    url: `/oc/${ocId}`,
    method: 'GET',
  })
}

/**
 * 添加单位
 * @param data
 * @returns
 */
export function createOc(data: any) {
  return apiRequest({
    url: '/oc/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新单位
 * @param data
 * @returns
 */
export function updateOc(data: any) {
  return apiRequest({
    url: '/oc/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除单位
 * @returns
 * @param ocId
 */
export function deleteOcById(ocId: number) {
  return apiRequest({
    url: `/oc/${ocId}`,
    method: 'DELETE',
  })
}

/**
 * 更新单位状态
 * @returns
 * @param ocId
 * @param status
 */
export function updateStatus(ocId: number, status: number) {
  return apiRequest({
    url: `/oc/updateStatus/${ocId}/${status}`,
    method: 'PUT',
  })
}

/**
 * 更新单位状态
 * @returns
 * @param ocId
 * @param status
 */
export function updateLicStatus(ocId: number, status: number) {
  return apiRequest({
    url: `/oc/updateLicStatus/${ocId}/${status}`,
    method: 'PUT',
  })
}
